apiVersion: apps/v1
kind: Deployment
metadata:
  name: opticalcontrollerservice
spec:
  selector:
    matchLabels:
      app: opticalcontrollerservice
  replicas: 1
  template:
    metadata:
      annotations:
        # Required for IETF L2VPN SBI when both parent and child run in same K8s cluster with Linkerd
        config.linkerd.io/skip-outbound-ports: "8022"
      labels:
        app: opticalcontrollerservice
    spec:
      terminationGracePeriodSeconds: 5
      containers:
       - name: server
         image:  localhost:32000/tfs/opticalcontroller:dev
         imagePullPolicy: Never
         ports:
         - containerPort: 5022
         - containerPort: 9192
        
         env:
         - name: LOG_LEVEL
           value: "INFO"

         resources:
           requests:
             cpu: 500m
             memory: 128Mi
           limits:
             cpu: 1000m
             memory: 1024Mi
---
apiVersion: v1
kind: Service
metadata:
  name: opticalcontrollerservice
  labels: 
    app: opticalcontrollerservice
spec:
  type: ClusterIP
  selector:
    app: opticalcontrollerservice
  ports:
  - name: grpc
    protocol: TCP
    port: 5022
    targetPort: 5022
  - name: metrics
    protocol: TCP
    port: 9192
    targetPort: 9192
